#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF5
%define kontact_mobile 1
%define _cmake_skip_rpath %nil

%define rel 1

Name:           akonadiconsole
Summary:        Console that help debugging Akonadi
Epoch:          2
Version: 20.12.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf5-macros

# Qt5 package
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Test)

# KF5 package
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Crash)

# KdepimLibs Package
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5AkonadiContact)
BuildRequires:  cmake(KF5CalendarSupport)
BuildRequires:  cmake(KF5AkonadiMime)

BuildRequires:  cmake(KF5MessageViewer)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5Libkleo)

BuildRequires:  pkgconfig(xapian-core)

# see in mga#22707
Requires:       akonadi-search

%description
Console that help debugging Akonadi.

%files
%_kf5_categoriesdir/akonadiconsole.categories
%_kf5_categoriesdir/akonadiconsole.renamecategories
%_kf5_bindir/akonadiconsole
%_kf5_applicationsdir/org.kde.akonadiconsole.desktop
%_kf5_datadir//kconf_update/akonadiconsole*
%_kf5_iconsdir/*/*/*/akonadiconsole.*

#------------------------------------------------------------------------------

%define akonadiconsole_major 5
%define libakonadiconsole %mklibname akonadiconsole %akonadiconsole_major

%package -n %libakonadiconsole
Summary:        Console that help debugging Akonadi
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libakonadiconsole
Console that help debugging Akonadi.

%files -n %libakonadiconsole
%_kf5_libdir/libakonadiconsole.so.%{akonadiconsole_major}{,.*}

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install



%changelog
* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655517
- New version 20.12.0

* Wed Nov 11 2020 joequant <joequant> 2:20.08.3-2.mga8
+ Revision: 1644559
- rebuild with new qca-qt5
+ neoclust <neoclust>
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633708
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1626961
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1614825
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604025
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596756
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584408
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568039
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559229
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540880
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513199
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466843
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457803
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447786
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1424893
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390352
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387556
- New version 19.03.90

* Fri Mar 29 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1381214
- Qt5 Rebuild

* Fri Mar 15 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1377348
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365471
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356406
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339420
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332651
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327304
- New version 18.08.2

* Sat Oct 20 2018 daviddavid <daviddavid> 2:18.04.1-3.mga7
+ Revision: 1322858
- require akonadi-search (mga#22707)

* Fri Sep 21 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1294247
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1228857
- New version 18.04.1

* Thu Apr 26 2018 daviddavid <daviddavid> 2:17.12.2-2.mga7
+ Revision: 1222546
- rebuild for new xapian 1.4.5

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201801
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194825
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1186361
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1142942
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136643
- New version 17.07.90

* Mon Jul 31 2017 daviddavid <daviddavid> 2:17.04.3-3.mga7
+ Revision: 1133117
- fix requires

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-2.mga7
+ Revision: 1131641
- Rebuild now that BS is fixed
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1089980
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1
+ pterjan <pterjan>
- Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076715
- New version 16.12.0

* Sat Dec 10 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1074141
- imported package akonadiconsole

